Subject: [PEPPERMINT] FW: potenntial charter for PEPPERMINT

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 7 Feb 2008 10:57:35 +0100

One more comment about the charter proposal from Mehmet Ersue, co-chair
of the NETCONF WG. 
 
Please copy Mehmet on responses, as he is not subscribed to the
peppermint list. 
 
Dan
 
----------------------------------------------

	Hi All,
	
	I fully agree with Margaret that the choice of the technology
needs 
	to be a group consensus.
	
	Since IETF and IESG are always interested to use already
existing 
	protocols if they are suitable to do the job I'm pretty much
interested to 
	hear the concrete arguments why the gateway configuration cannot
be 
	done with NETCONF over SOAP.
	
	NETCONF is a suitable protocol for network element configuration
and 
	configuration data exchange. NETCONF is also reliable and
supports 
	notification and transaction mechanisms. BTW: NETCONF over SOAP 
	is not heavy-weight.
	
	NETCONF is already available as a standard and has been
implemented 
	many times. Already different companies are using it in their
products.
	
	You don't get all these functionalities for free. It takes
usually many years 
	of hard work to develop the standard documents and get them
stable based 
	on implementations.
	
	This is the reason why IESG is usually keen of using already
existing IETF 
	technologies instead of starting another overlapping work which
takes years
	to finalize.
	
	So, please tell me, what are the hard-reasons for not using an
existing 
	technology?
	
	Cheers, 
	Mehmet Ersue

	> -----Original Message-----
	> From: [email-masked] 
	> [mailto:[email-masked]] On Behalf Of ext Margaret 
	> Wasserman
	> Sent: Wednesday, February 06, 2008 4:29 PM
	> To: Romascanu, Dan (Dan)
	> Cc: [email-masked]; [email-masked]; [email-masked]
	> Subject: Re: [PEPPERMINT] potenntial charter for PEPPERMINT
	> 
	> 
	> By "NETCFG", does Richard mean NETCONF?
	> 
	> I would prefer to see the line removed that states that "bias 
	> will be  
	> given" to particular solutions.  I think it is okay to charter
a  
	> group with restrictions on the solution space, such as "will 
	> be based  
	> on XML" if there is consensus to do so, but I'm not sure what
it  
	> would mean to charter a group and require that they be
"biased"  
	> towards certain solutions.  If there isn't consensus that the

	> solution must be based on one of the technologies listed, I
think  
	> that line should be removed and the choice of technology
should be a  
	> group consensus decision.
	> 
	> Margaret
	> 

_______________________________________________
PEPPERMINT mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/peppermint

---

From: "Richard Shockey" <[email-masked]>
Date: Thu, 7 Feb 2008 11:16:25 -0500

The sentence on the issue of NETCONF was only meant to be illustrative of
the fact that the IETF continues to work on issues involving the
provisioning of data in various network elements. I'm going to remove that
sentence since it is clearly causing confusion.

The issue the WG is dealing with (and was strongly confirmed in the first
BOF)  is that various aspects of RFC 4114 are insufficient or inappropriate
for the provisioning of various data sets required by multi media
interconnection databases. 

It is not as simple as ENUM/DNS registry provisioning. The relationships
between various provisioning entities like PBX systems, SIP CUA's,  carrier
OSS systems and network elements  such as SIP proxys and or Session border
controllers are more diverse and the relationships more complex.

The forthcoming requirements/problem statement ID make that clear.

From: [email-masked] [mailto:[email-masked]] On
Behalf Of Romascanu, Dan (Dan)
Sent: Thursday, February 07, 2008 4:58 AM
To: [email-masked]
Cc: Ersue, Mehmet (NSN - DE/Muenich)
Subject: [PEPPERMINT] FW: potenntial charter for PEPPERMINT

One more comment about the charter proposal from Mehmet Ersue, co-chair of
the NETCONF WG. 

Please copy Mehmet on responses, as he is not subscribed to the peppermint
list. 

Dan

 

Hi All,

I fully agree with Margaret that the choice of the technology needs 
to be a group consensus.

Since IETF and IESG are always interested to use already existing 
protocols if they are suitable to do the job I'm pretty much interested to 
hear the concrete arguments why the gateway configuration cannot be 
done with NETCONF over SOAP.

NETCONF is a suitable protocol for network element configuration and 
configuration data exchange. NETCONF is also reliable and supports 
notification and transaction mechanisms. BTW: NETCONF over SOAP 
is not heavy-weight.

NETCONF is already available as a standard and has been implemented 
many times. Already different companies are using it in their products.

You don't get all these functionalities for free. It takes usually many
years 
of hard work to develop the standard documents and get them stable based 
on implementations.

This is the reason why IESG is usually keen of using already existing IETF 
technologies instead of starting another overlapping work which takes years
to finalize.

So, please tell me, what are the hard-reasons for not using an existing 
technology?

Cheers, 
Mehmet Ersue

> given" to particular solutions.  I think it is okay to charter a  
> on XML" if there is consensus to do so, but I'm not sure what it  
> would mean to charter a group and require that they be "biased"  
> solution must be based on one of the technologies listed, I think  
> that line should be removed and the choice of technology should be a